myapps:
  storage:
    root: /data/obpm-demo
  siteid:
  refresh:
    cache:
      profile: shanxiinprod

server:
  port: 8094
  servlet:
    context-path: ${myapps.siteid}/obpm
    session:
      timeout: 3600


spring:
  datasource:
    url: jdbc:mysql://92.1.44.16:3306/obpm2_security?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT%2B8&useSSL=false
    username: insn_security
    password: Insn_security#202205
    # 下面为连接池的补充设置，应用到上面所有数据源中
    initialSize: 5
    minIdle: 5
    maxActive: 20
  cloud:
    consul:
      discovery:
        #        instance-id: ${spring.application.name}:${vcap.application.instance_id:${spring.application.instance_id:${random.value}}}
        instance-id: ${spring.application.name}:${spring.cloud.client.ip-address}:${random.uuid}
        prefer-ip-address: true
        health-check-interval: 10s
        health-check-path: ${myapps.siteid}/obpm/actuator/health
        hostname: ${spring.application.name}
        service-name: ${spring.application.name}
        enabled: true
        #https://www.cnblogs.com/duanxz/p/7049350.html
        health-check-critical-timeout: 6000s
        register: true
        deregister: true
        heartbeat:
          enabled: true
      host: 92.1.44.19
      port: 8500
  redis:
    host: 92.1.44.16
    port: 6363
    password: Redis#2022
  jpa:
    database: mysql
    show-sql: false
    hibernate:
      ddl-auto: none
    properties:
      hibernate:
        default_schema:

logging:
  config: classpath:log4j2.xml

file:
  mode:
    useFtp: true
    host: 92.1.44.15
    userName: baichuanxin
    password: Bcxin2021
    port: 21
    filePath: